import React, {useState} from 'react';
import './App.css';
import Start from './components/Start/Start';
import Second from './components/Second/Second';
import Tinder from './components/Tinder/Tinder';
import Map from './components/Map/Map';

function App() {

  const [buttonValue, setButtonValue] = useState("");

  const handleButtonValue = (value) => {
    setButtonValue(value);
  };

  let content = null;
  switch (buttonValue) {
    case '/':
      content = <Second getValue={handleButtonValue}/>
      break;
    case '/tinder':
      content = <Tinder getValue={handleButtonValue}/>
      break;
    case '/map':
      content = <Map/>
      break;
    default: content = <Start getValue={handleButtonValue}/>
  }

  return (
    <div className="App">
      {content}
    </div>
  );
}

export default App;
