import React, {useState} from 'react';
import TinderCard from 'react-tinder-card';
import './Tinder.css';

const db = [
    {
        id: 1,
        name: 'Richard Hendricks',
    },
    {
        id: 2,
        name: 'Erlich Bachman',
    },
    {
        id: 3,
        name: 'Monica Hall',
    },
    {
        id: 4,
        name: 'Jared Dunn',
    },
    {
        id: 5,
        name: 'Dinesh Chugtai',
    }
  ];

  const Tinder = (props) => {

    const route = props.getValue;

    const characters = db;
    const [lastDirection, setLastDirection] = useState();
    const [cardId, setCardId] = useState([]);
    const [allIds, setAllIds] = useState([]);
    const [cardLenth, setCardLenth] = useState(false);

    let uniqueTags = [];
    let allTags = [];

    const swiped = (direction, id) => {
        setLastDirection(direction);
        allIds.push(id);
        if (direction === 'right') {
            cardId.push(id);
        };
    };

    const getId = () => {

        uniqueTags = cardId.filter(function(elem, pos) {
            return cardId.indexOf(elem) === pos;
        });

        allTags = allIds.filter(function(elem, pos){
            return allIds.indexOf(elem) === pos;
        });

        characters.length === allTags.length ? setCardLenth(true) : setCardLenth(false);

        if(cardLenth) {
            route('/map')
        }
        
    }
  
    return (
      <div className='tinder-container'>
            <h1>Card</h1>
            <div className='card-container'>
            {characters.map((character) => (
                <TinderCard
                className='swipe'
                key={character.id}
                onSwipe={(dir) => {
                    swiped(dir, character.id);
                    getId();
                    // console.log(uniqueTags);
                }}
                >
                <div className='card'>
                    <div
                    className='card-content'
                    // style={{ backgroundImage: `url(${character.url})` }}
                    >
                    <h3>{character.name}</h3>
                    </div>
                </div>
                </TinderCard>
            ))}
            </div>
        </div>
    );
  };
  
  export default Tinder;